import type { ChartType, ChartComponentLike, DefaultDataPoint } from 'chart.js';
import type { TypedChartComponent } from './types.js';
export declare function createTypedChart<TType extends ChartType = ChartType, TData = DefaultDataPoint<TType>, TLabel = unknown>(type: TType, registerables: ChartComponentLike): TypedChartComponent<TType, TData, TLabel>;
export declare const Bar: TypedChartComponent<"bar", (number | [number, number] | null)[], unknown>;
export declare const Doughnut: TypedChartComponent<"doughnut", number[], unknown>;
export declare const Line: TypedChartComponent<"line", (number | import("chart.js/dist/chunks/helpers.core.js").ad | null)[], unknown>;
export declare const Pie: TypedChartComponent<"pie", number[], unknown>;
export declare const PolarArea: TypedChartComponent<"polarArea", number[], unknown>;
export declare const Radar: TypedChartComponent<"radar", (number | null)[], unknown>;
export declare const Bubble: TypedChartComponent<"bubble", import("chart.js/dist/chunks/helpers.core.js").a9[], unknown>;
export declare const Scatter: TypedChartComponent<"scatter", (number | import("chart.js/dist/chunks/helpers.core.js").ad | null)[], unknown>;
//# sourceMappingURL=typedCharts.d.ts.map